Loading...
Searching...
No Matches
DcmRepresentationEntry Class Reference

an object of this class maintains one compression "version" of a PixelData element within a DICOM dataset. More...

## Private Member Functions

| DcmRepresentationEntry (const E_TransferSyntax rt, const DcmRepresentationParameter *rp, DcmPixelSequence *pixSeq)
| constructor
| DcmRepresentationEntry (const DcmRepresentationEntry &oldEntry)
| copy constructor
| ~DcmRepresentationEntry ()
| destructor
OFBool | operator== (const DcmRepresentationEntry &x) const
| comparison operator
OFBool | operator!= (const DcmRepresentationEntry &x) const
| comparison operator
DcmRepresentationEntry & | operator= (const DcmRepresentationEntry &)
| private undefined copy assignment operator

## Private Attributes

E_TransferSyntax | repType
| transfer syntax
DcmRepresentationParameter * | repParam
| representation parameter for this pixel sequence
DcmPixelSequence * | pixSeq
| the compressed pixel sequence itself

## Friends

class | DcmPixelData

## Detailed Description

an object of this class maintains one compression "version" of a PixelData element within a DICOM dataset.

There can be multiple compressed versions in parallel, with different transfer syntaxes (compression algorithms) or representation parameters (e.g. compression factors).

## Constructor & Destructor Documentation

## DcmRepresentationEntry()

DcmRepresentationEntry::DcmRepresentationEntry | ( | const E_TransferSyntax | rt,
|  | const DcmRepresentationParameter * | rp,
|  | DcmPixelSequence * | pixSeq )

private

constructor

Parameters

  rt | transfer syntax
  rp | pointer to representation parameter on heap, will be deleted when this object destructs.
  pixSeq | pointer to pixel sequence on heap, will be deleted when this object destructs.

References pixSeq.

Referenced by DcmRepresentationEntry(), operator!=(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcpixel.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0